@if (componentData$ | async; as componentData) {
  <div class="flex-row full-width">
    <div class="view-title">
      {{ 'sqtm-core.campaign-workspace.title.automated-suite' | translate }}
    </div>
    @if (shouldShowResetFilterLink(activeFilters$ | async)) {
      <div>
        <sqtm-core-reset-filters-link
          (resetFiltersLinkPressed)="this.gridService.resetFilters()"
        >
        </sqtm-core-reset-filters-link>
      </div>
    }
    <div class="flex-fixed-size m-auto panel-buttons p-5">
      @if (this.referentialDataService.isPremiumPluginInstalled$ | async) {
        <sqtm-core-toggle-icon
          [active]="true"
          (clickedInActiveMode)="showAvailableFilters()"
        >
          <i
            [attr.data-test-toolbar-button-id]="'open-widget-column-button'"
            nz-icon
            #iconColumnElement
            nzType="sqtm-core-generic:columns"
            class="action-icon-size custom-icon"
            nzTheme="outline"
            nz-tooltip="{{ 'sqtm-core.grid.columns' | translate | capitalize }}"
          >
          </i>
        </sqtm-core-toggle-icon>
      }
      <div class="buttons-separator"></div>
      @if (isPremium) {
        <sqtm-core-toggle-icon
          [active]="canCompare$ | async"
          (clickedInActiveMode)="openExecutionComparisonDialog()"
        >
          <i
            nz-icon
            nzType="sqtm-core-generic:compare"
            nzTheme="outline"
            nz-tooltip
            nzTooltipPlacement="topRight"
            [nzTooltipTitle]="
              'sqtm-core.campaign-workspace.automated-suite.execution-comparison'
                | translate
            "
            class="action-icon-size"
            [attr.data-test-button-id]="'compare-executions'"
          >
          </i>
        </sqtm-core-toggle-icon>
      }
      <sqtm-core-toggle-icon
        [active]="$hasSelectedRows() && $canDeleteOrPrune()"
        (clickedInActiveMode)="openDeleteAutomatedSuitesDialog()"
      >
        <i
          nz-icon
          nzType="sqtm-core-generic:delete"
          nzTheme="outline"
          [attr.data-test-button-id]="'show-confirm-mass-delete-dialog'"
          nz-tooltip
          class="action-icon-size"
          [style.color]="
            $canDeleteOrPrune() ? 'current-workspace-main-color' : ''
          "
          [nzTooltipTitle]="
            'sqtm-core.campaign-workspace.automated-suite.delete-many.title'
              | translate
          "
          nzTooltipPlacement="topRight"
        ></i>
      </sqtm-core-toggle-icon>
      <sqtm-core-toggle-icon
        [active]="$hasSelectedRows() && $canDeleteOrPrune()"
      >
        @if ($hasSelectedRows() && $canDeleteOrPrune()) {
          <div
            class="full-height full-width icon-container current-workspace-main-color'"
            nz-popover
            (click)="showPruneMenu()"
            [nzPopoverVisible]="$pruneMenuVisible()"
            [nzPopoverContent]="contentTemplate"
            [nzPopoverTrigger]="'click'"
            [nzPopoverPlacement]="'left'"
          >
            <i
              nz-icon
              nzType="sqtm-core-administration:broom"
              nzTheme="outline"
              class="action-icon-size"
              [attr.data-test-button-id]="'show-confirm-mass-prune-dialog'"
            ></i>
          </div>
        } @else {
          <div class="full-height full-width icon-container">
            <i
              nz-icon
              nzType="sqtm-core-administration:broom"
              nzTheme="outline"
              class="action-icon-size"
              [attr.data-test-button-id]="'show-confirm-mass-prune-dialog'"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.campaign-workspace.automated-suite.attachment-prune.title-many'
                  | translate
              "
              nzTooltipPlacement="topRight"
            ></i>
          </div>
        }
      </sqtm-core-toggle-icon>
      <ng-template #contentTemplate>
        <div class="flex-column">
          <a
            class="prune-link"
            (click)="openPruneAutomatedSuitesDialog(true)"
            [attr.data-test-link-id]="'complete-prune'"
          >
            {{
              'sqtm-core.campaign-workspace.automated-suite.attachment-prune.complete.label'
                | translate
            }}
          </a>
          <a
            class="prune-link"
            (click)="openPruneAutomatedSuitesDialog(false)"
            [attr.data-test-link-id]="'partial-prune'"
          >
            {{
              'sqtm-core.campaign-workspace.automated-suite.attachment-prune.partial.label'
                | translate
            }}
          </a>
        </div>
      </ng-template>
    </div>
  </div>
  <div
    #content
    class="full-width overflow-hidden flex-column sqtm-large-grid-container p-10"
    style="flex-grow: 1"
  >
    <sqtm-core-grid class="full-width full-height"></sqtm-core-grid>
  </div>
}
